<bugID>989102<Summary>[UX] Improve history sidebar</Summary><Description>Created attachment 8398161
Screen Shot 2014-03-27 at 3.18.42 PM.png

Improve the history sidebar design. Include but not limited to:

&#8226; Better structure
&#8226; New icons
&#8226; Australis visual style

Attached shorlander's mockup as inspiration.</Description></bugID>